[ 
https://issues.apache.org/jira/browse/AMBARI-25521?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Steven Matison updated AMBARI-25521:
------------------------------------
    Description: 
I have built ambari 2.7.5 from source in openSuse.   When attempting to run 
ambari-server and ambari-agent in 
[opensuse|https://app.vagrantup.com/opensuse]/[Tumbleweed.x86_64|https://app.vagrantup.com/opensuse/boxes/Tumbleweed.x86_64]
 they both fail class OSCheck in detecting the correct operating system.  I 
tried to debug why, but was not successful.

 

I have been able to get around the issue by creating a replacement for 
"platform.linux_distribution()" as:

 
{noformat}
        #distribution = platform.linux_distribution()
        distribution = ("suse", "12", "Core"){noformat}
Since this is my first, issue I do not want to overstep boundaries, nor suggest 
what the solution is, but I wanted to create an adjustment to get this 
important scenario resolved in a future release.

  was:
I have built ambari 2.7.5 from source in openSuse/suse12.   When attempting to 
run ambari-server and ambari-agent in 
[opensuse|https://app.vagrantup.com/opensuse]/[Tumbleweed.x86_64|https://app.vagrantup.com/opensuse/boxes/Tumbleweed.x86_64]
 they both fail class OSCheck in detecting the correct operating system.  I 
tried to debug why, but was not successful.

 

I have been able to get around the issue by creating a replacement for 
"platform.linux_distribution()" as:

 
{noformat}
        #distribution = platform.linux_distribution()
        distribution = ("suse", "12", "Core"){noformat}

Since this is my first, issue I do not want to overstep boundaries, nor suggest 
what the solution is, but I wanted to create an adjustment to get this 
important scenario resolved in a future release.


> Error when building in OpenSuse
> -------------------------------
>
>                 Key: AMBARI-25521
>                 URL: https://issues.apache.org/jira/browse/AMBARI-25521
>             Project: Ambari
>          Issue Type: Improvement
>          Components: ambari-server
>    Affects Versions: 2.7.5
>         Environment: opensuse
>            Reporter: Steven Matison
>            Priority: Minor
>
> I have built ambari 2.7.5 from source in openSuse.   When attempting to run 
> ambari-server and ambari-agent in 
> [opensuse|https://app.vagrantup.com/opensuse]/[Tumbleweed.x86_64|https://app.vagrantup.com/opensuse/boxes/Tumbleweed.x86_64]
>  they both fail class OSCheck in detecting the correct operating system.  I 
> tried to debug why, but was not successful.
>  
> I have been able to get around the issue by creating a replacement for 
> "platform.linux_distribution()" as:
>  
> {noformat}
>         #distribution = platform.linux_distribution()
>         distribution = ("suse", "12", "Core"){noformat}
> Since this is my first, issue I do not want to overstep boundaries, nor 
> suggest what the solution is, but I wanted to create an adjustment to get 
> this important scenario resolved in a future release.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to